import {Component} from '@angular/core';
import {PluginBaseComponent, PluginBaseInfo, PluginInfoCards, PluginURL} from "../../utils/base-plugin.component";
export class PluginHowToUse extends PluginBaseInfo{
  title:string ="How to use the gateway?";
  cardInfoArray: PluginInfoCards[] = [
    {title: "Tutorials", description: "Mini-video tutorials for gateway managers", urlsArray:[ new PluginURL("https://www.youtube.com/playlist?list=PL0c4IRNUxuKcyRUQ_J9BH_EE1amXU6kgp","View all")], show:true},
    {title: "Guides", description: "Textual guides on gateway functionalities.", urlsArray:[ new PluginURL("https://www.openaire.eu/research-community-gateway-guide","Guide for the users")/*,  new PluginURL("","Guide for the managers")*/], show:true},
    {title: "Webinars", description: "Recordings and slides of webinars on different aspects of Open Science.", urlsArray:[ new PluginURL("","View all")], show:true}
  ];
  compare(oldObject){
   oldObject =  super.compare(oldObject)

    for(let card of this.cardInfoArray){

    }
    return oldObject;
  }
}
@Component({
  selector: 'plugin-how-to-use',
  templateUrl: 'plugin-how-to-use.component.html'
})
export class PluginHowToUseComponent extends PluginBaseComponent<PluginHowToUse>{
  constructor() {
    super()
  }
}
