import {Component} from '@angular/core';
import {PluginOrganizations} from "./plugin-organizations.component";
import {PluginBaseFormComponent} from "../../utils/base-plugin.form.component";

@Component({
  selector: 'plugin-organizations-form',
  template: `
    <div *ngIf="pluginObject" class="uk-padding-xsmall">
      <plugin-field-edit [value]="pluginObject.title"
                         type="text" field="title" (changed)="valueChanged($event)"></plugin-field-edit>

      <div class="uk-alert uk-alert-warning uk-text-small"> Manage community organizations  <a routerLink="../../info/organizations" target="_blank">here</a>.</div>
    </div>
  `,


})
export class PluginOrganizationsFormComponent extends PluginBaseFormComponent<PluginOrganizations> {
  constructor() {
    super()

  }

}
